aboutsummaryrefslogtreecommitdiffstats
path: root/main/sntpc
diff options
context:
space:
mode:
authorJakub Jirutka <jakub@jirutka.cz>2016-05-06 01:33:14 +0200
committerNatanael Copa <ncopa@alpinelinux.org>2016-05-10 16:20:34 +0000
commit75657762f882b6165070f0d85c219fbce7b2eeb2 (patch)
tree14dc028ca235d342186903079dc3ab2fb3f3b1f9 /main/sntpc
parent550a1735fcd1b96aee55c7ebd363a2a14dad7a74 (diff)
downloadaports-75657762f882b6165070f0d85c219fbce7b2eeb2.tar.gz
aports-75657762f882b6165070f0d85c219fbce7b2eeb2.tar.bz2
aports-75657762f882b6165070f0d85c219fbce7b2eeb2.tar.xz
main/sntpc: fix project url and improve abuild
Fixes #5087.
Diffstat (limited to 'main/sntpc')
-rw-r--r--main/sntpc/APKBUILD17
1 files changed, 8 insertions, 9 deletions
diff --git a/main/sntpc/APKBUILD b/main/sntpc/APKBUILD
index 4aefa864fd..8fd8fe7d6c 100644
--- a/main/sntpc/APKBUILD
+++ b/main/sntpc/APKBUILD
@@ -2,27 +2,26 @@
# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
pkgname=sntpc
pkgver=0.9
-pkgrel=5
+pkgrel=6
pkgdesc="Simple NTP client"
-url="http://git.alpinelinux.org/cgit/sntpc"
+url="http://git.alpinelinux.org/cgit/hosted/sntpc/"
arch="all"
license="GPL2"
-depends=
-source="http://dev.alpinelinux.org/archive/sntpc/sntpc-0.9.tar.xz
+depends=""
+source="http://dev.alpinelinux.org/archive/$pkgname/$pkgname-$pkgver.tar.xz
sntpc.initd
sntpc.confd
"
-
-_builddir="$srcdir/$pkgname-$pkgver"
+builddir="$srcdir/$pkgname-$pkgver"
build() {
- cd "$_builddir"
+ cd "$builddir"
make || return 1
}
package() {
- cd "$_builddir"
- install -m755 -D sntpc "$pkgdir"/usr/sbin/sntpc
+ cd "$builddir"
+ install -m755 -D sntpc "$pkgdir"/usr/sbin/sntpc || return 1
install -m755 -D "$srcdir"/sntpc.initd "$pkgdir"/etc/init.d/sntpc
install -m644 -D "$srcdir"/sntpc.confd "$pkgdir"/etc/conf.d/sntpc
}